Extract doc at a Sensible URL using specified config

This endpoint's behavior is identical to the Extract doc at a Sensible URL endpoint's behavior, except that Sensible uses the specified config to extract data from the document instead of automatically choosing the best-scoring extraction in the document type.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Type of document to extract from. Create your custom type in the Sensible app (for example, rate_confirmation, certificate_of_insurance, or home_inspection_report). To quickly test this endpoint using the Try It button in this interactive explorer, use the senseml_basics tutorial document type with this example document. As a convenience, Sensible automatically detects the best-fit extraction from among the extraction queries ("configs") in the document type. For example, if you create an auto_insurance_quotes document type, you can add carrier 1, carrier 2, and carrier 3 configs to the document type in the Sensible app. Sensible then automatically classifies each document you upload by its carrier, so you can use the same document type for each carrier without specifying the carrier in the extraction request.

string
required

User-friendly name of the config to use to extract data from the document.

Query Params
string
enum
Defaults to production

If you specify development, extracts preferentially using config versions published to the development environment in the Sensible app. The extraction runs all configs in the doc type before picking the best fit. For each config, falls back to production version if no development version of the config exists.

Allowed:
string

If you specify the filename of the document using this parameter, then Sensible returns the filename in the extraction response.

Body Params
webhook
object

Pushes extraction results to the specified webhook under the following circumstances, so you don't have to poll for results status:

  • When Sensible sets "status": "COMPLETE" or "status": "FAILED"
  • When the value for reviewStatus (for portfolio extractions) or reviewStatus (for single-document extractions) changes.
string
enum

Content type of the document being presented for extraction. Required for the CSV file type.

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain